{% extends 'base.html.twig' %}

{% block title %}{{page}}{% endblock %}

{% block body %}
<div class="col-md-12">
        <div class="content-box-large">
            <div class="panel-heading">
              <div class="panel-title">Employee list</div>
              
              <div class="panel-options">
                  <a href="{{path('employees_add')}}" data-rel="collapse"><i class="fa fa-plus"></i></a>
                        
              </div>
          </div>
            <div class="panel-body">
             <div class="table-responsive">
                <table class="table table-striped">
                <thead>
                  <tr>
                    <th>{{'Identification'|trans}}</th>
                    <th>{{'Name'|trans}}</th>
                    <th>{{'Email'|trans}}</th>
                    <th>{{'User'|trans}} </th>
                    <th>{{'Departments'|trans}}</th>
                    <th>{{'Position'|trans}}</th>
                    <th>{{'Created at'|trans}}</th>
                    <th>{{'Updated at'|trans}}</th>
                    <th>{{'Actions'|trans}}</th>
                  </tr>
                </thead>
                <tbody>
                    {% for employee in employees %}
                        <tr>
                                <td>
                                    {{employee.identification}}
                                </td>
                                <td>
                                    {{employee.getFirstName() ~' '~ employee.getLastName()}}
                                </td>
                                <td>
                                    {{employee.email}}
                                </td>
                                <td>
                                    {{employee.user.username}}
                                </td>
                                <td>
                                    {% for department in employee.departments %}
                                        {{ department.name }}{% if not loop.last %}, {% endif %}
                                    {% endfor %}
                                </td>
                                <td>
                                    {{employee.position.name}}
                                </td>
                                <td>
                                    {{employee.getCreatedAt()|date('d.m.Y H:i')}}
                                </td>
                                <td>
                                    {{employee.getUpdatedAt()|date('d.m.Y H:i')}}
                                </td>
                                <td>
                                            <a href="{{path('employees_edit',{
                                                id:employee.id
                                            })}}">
                                                <i class="fa fa-edit"></i>
                                            </a>
                                            <a href="{{path('employees_delete',{
                                                id:employee.id
                                            })}}">
                                                <i class="fa fa-trash-alt"></i>
                                            </a>
                                </td>
                        </tr>
                    {% endfor %}
                </tbody>
              </table>
              </div>
              {{knp_pagination_render(employees)}}
            </div>
        </div>
    </div>
{% endblock %}
